﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using SimpleServer.Models;
using System.Data.Services.Client;

namespace SimpleClient
{
    public partial class MainPage : PhoneApplicationPage
    {

        BookContext context =
        new BookContext(
            new Uri(
                "http://localhost:57034/BookDataService.svc/" ) );
        DataServiceCollection<Book> books;
       
        
        
        public MainPage()
        {
            InitializeComponent();
            books = new DataServiceCollection<Book>( context );
            books.LoadAsync(
                new Uri(
                    "http://localhost:57034/BookDataService.svc/Books" ) );

            // Set the data context of the listbox control to the sample data
            DataContext = books;
            this.Loaded += new RoutedEventHandler( MainPage_Loaded );
        }

        // Handle selection changed on ListBox
        private void MainListBox_SelectionChanged( object sender, SelectionChangedEventArgs e )
        {
            // If selected index is -1 (no selection) do nothing
            if (MainListBox.SelectedIndex == -1)
                return;

            // Navigate to the new page
            NavigationService.Navigate( new Uri( "/DetailsPage.xaml?selectedItem=" + MainListBox.SelectedIndex, UriKind.Relative ) );

            // Reset selected index to -1 (no selection)
            MainListBox.SelectedIndex = -1;
        }

        // Load data for the ViewModel Items
        private void MainPage_Loaded( object sender, RoutedEventArgs e )
        {
            if (!App.ViewModel.IsDataLoaded)
            {
                App.ViewModel.LoadData();
            }
        }
    }
}